Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 539582 (CVE-2014-9679) - <net-print/cups-2.0.2-r1: cupsRasterReadPixels: buffer overflow with invalid page header and compressed raster data (CVE-2014-9679)
Summary: <net-print/cups-2.0.2-r1: cupsRasterReadPixels: buffer overflow with invalid ...
Status: RESOLVED FIXED
Alias: CVE-2014-9679
Product: Gentoo Security
Classification: Unclassified
Component: Vulnerabilities (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Security
URL:
Whiteboard: A3 [glsa cve]
Keywords:
Depends on:
Blocks:
 
Reported: 2015-02-10 09:31 UTC by Frank Krömmelbein
Modified: 2016-07-16 13:21 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Frank Krömmelbein 2015-02-10 09:31:57 UTC
The new release addresses a potential buffer overflow for compressed raster data and includes several general bug fixes. Changes include:

Security: cupsRasterReadPixels buffer overflow with invalid page header and compressed raster data (STR #4551)
Command-line programs were not localized on Mac OS X (<rdar://problem/14546232>)
The scheduler incorrectly cleared the MakeModel string in the printers.conf file after a restart (<rdar://problem/16827518>)
CUPS did not compile with older versions of GNU TLS (STR #4527)
CUPS did not compile without Avahi or mDNSResponder (STR #4523)
ippLength() did not return the correct length for IPP_TAG_CONST string values.
The scheduler incorrectly aborted jobs after a job was restarted (<rdar://problem/19129387>)
The cups-files.conf file contained the old ServerCertificate/Key directives instead of ServerKeychain.
Fixed builds when no SSL/TLS library is available, or when explicitly disabled (STR #4531)
Fixed an OpenBSD charset transcoding issue.
Fixed USB printing on OpenBSD (STR #4525)
The --without-xinetd configure option did not work (STR #4542)
Backends needing to load OS X kernel extensions did not work (<rdar://problem/19015679>)
Mapping of PPD keywords to IPP keywords did not work if the PPD keyword was already an IPP keyword (<rdar://problem/19121005>)
cupsGetPPD* sent bad requests (STR #4567)
ippserver used the wrong temporary directory on Windows (STR #4547)
ippserver did not handle Bonjour registrations properly (STR #4548)
The scheduler could crash during shutdown if Avahi was shutdown first (STR #4550)
Added a USB quirk rule for Intermec printers (STR #4553)
The scheduler did not always log which configuration file had the error (STR #4559)
The ippfind and ipptool programs now correctly match hostnames with trailing dots (STR #4563)
The ipptool timeout option did not work (STR #4515)
Fixed several issues with client.conf, CUPS_SERVER, and the "-h" option of most commands (STR #4528)
Another change for OpenBSD (STR #4526)
Added Japanese localization (STR #4524)
Documentation changes (STR #4569)

Reproducible: Always
Comment 1 Pacho Ramos gentoo-dev 2015-02-12 15:43:52 UTC
2.0.2 is already in the tree and it should fix this
Comment 2 Kristian Fiskerstrand gentoo-dev Security 2015-02-13 09:06:47 UTC
(In reply to Pacho Ramos from comment #1)
> 2.0.2 is already in the tree and it should fix this

Is it ready for stabilization?
Comment 3 GLSAMaker/CVETool Bot gentoo-dev 2015-06-17 17:20:45 UTC
CVE-2014-9679 (http://nvd.nist.gov/nvd.cfm?cvename=CVE-2014-9679):
  Integer underflow in the cupsRasterReadPixels function in filter/raster.c in
  CUPS before 2.0.2 allows remote attackers to have unspecified impact via a
  malformed compressed raster file, which triggers a buffer overflow.
Comment 4 Manuel Rüger (RETIRED) gentoo-dev 2015-08-27 18:17:29 UTC
Vulnerable versions have been removed.
See bug #553644 and bug #553836
Comment 5 Manuel Rüger (RETIRED) gentoo-dev 2015-12-16 22:09:44 UTC
@security: Please create a glsa for that
Comment 6 Aaron Bauman Gentoo Infrastructure gentoo-dev Security 2016-07-02 03:21:59 UTC
New GLSA requested.
Comment 7 GLSAMaker/CVETool Bot gentoo-dev 2016-07-16 13:21:14 UTC
This issue was resolved and addressed in
 GLSA 201607-06 at https://security.gentoo.org/glsa/201607-06
by GLSA coordinator Aaron Bauman (b-man).